#
# Tcl package index file
#

namespace eval twapi {
    variable scriptdir
    proc set_scriptdir dir {variable scriptdir ; set scriptdir $dir}
}

package ifneeded @PACKAGE_NAME@_base @PACKAGE_VERSION@ \
  [list load [file join $dir @PKG_LIB_FILE@] [string totitle @PACKAGE_NAME@_base 0 0]]
package ifneeded @PACKAGE_NAME@_com @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_com 0 0]}
package ifneeded metoo @PACKAGE_VERSION@ \
  [list source [file join $dir metoo.tcl]]
package ifneeded @PACKAGE_NAME@_com @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_com 0 0]}
package ifneeded @PACKAGE_NAME@_msi @PACKAGE_VERSION@ \
  [list source [file join $dir msi.tcl]]
package ifneeded @PACKAGE_NAME@_power @PACKAGE_VERSION@ \
  [list source [file join $dir power.tcl]]
package ifneeded @PACKAGE_NAME@_printer @PACKAGE_VERSION@ \
  [list source [file join $dir printer.tcl]]
package ifneeded @PACKAGE_NAME@_synch @PACKAGE_VERSION@ \
  [list source [file join $dir synch.tcl]]
package ifneeded @PACKAGE_NAME@_security @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_security 0 0]}
package ifneeded @PACKAGE_NAME@_account @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_account 0 0]}
package ifneeded @PACKAGE_NAME@_apputil @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_apputil 0 0]}
package ifneeded @PACKAGE_NAME@_clipboard @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_clipboard 0 0]}
package ifneeded @PACKAGE_NAME@_console @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_console 0 0]}
package ifneeded @PACKAGE_NAME@_crypto @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_crypto 0 0]}
package ifneeded @PACKAGE_NAME@_device @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_device 0 0]}
package ifneeded @PACKAGE_NAME@_etw @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_etw 0 0]}
package ifneeded @PACKAGE_NAME@_eventlog @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_eventlog 0 0]}
package ifneeded @PACKAGE_NAME@_mstask @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_mstask 0 0]}
package ifneeded @PACKAGE_NAME@_multimedia @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_multimedia 0 0]}
package ifneeded @PACKAGE_NAME@_namedpipe @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_namedpipe 0 0]}
package ifneeded @PACKAGE_NAME@_network @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_network 0 0]}
package ifneeded @PACKAGE_NAME@_nls @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_nls 0 0]}
package ifneeded @PACKAGE_NAME@_os @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_os 0 0]}
package ifneeded @PACKAGE_NAME@_pdh @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_pdh 0 0]}
package ifneeded @PACKAGE_NAME@_process @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_process 0 0]}
package ifneeded @PACKAGE_NAME@_rds @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_rds 0 0]}
package ifneeded @PACKAGE_NAME@_resource @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_resource 0 0]}
package ifneeded @PACKAGE_NAME@_service @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_service 0 0]}
package ifneeded @PACKAGE_NAME@_share @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_share 0 0]}
package ifneeded @PACKAGE_NAME@_shell @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_shell 0 0]}
package ifneeded @PACKAGE_NAME@_storage @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_storage 0 0]}
package ifneeded @PACKAGE_NAME@_ui @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_ui 0 0]}
package ifneeded @PACKAGE_NAME@_input @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_input 0 0]}
package ifneeded @PACKAGE_NAME@_winsta @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_winsta 0 0]}
package ifneeded @PACKAGE_NAME@_wmi @PACKAGE_VERSION@ \
  {load {} [string totitle @PACKAGE_NAME@_wmi 0 0]}

package ifneeded @PACKAGE_NAME@ @PACKAGE_VERSION@ [subst {
  twapi::set_scriptdir [list $dir]
  package require @PACKAGE_NAME@_base @PACKAGE_VERSION@
  source [list [file join $dir twapi_entry.tcl]]
  package require metoo @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_com @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_msi @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_power @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_printer @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_synch @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_security @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_account @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_apputil @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_clipboard @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_console @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_crypto @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_device @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_etw @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_eventlog @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_mstask @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_multimedia @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_namedpipe @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_network @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_nls @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_os @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_pdh @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_process @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_rds @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_resource @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_service @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_share @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_shell @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_storage @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_ui @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_input @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_winsta @PACKAGE_VERSION@
  package require @PACKAGE_NAME@_wmi @PACKAGE_VERSION@
  package provide @PACKAGE_NAME@ @PACKAGE_VERSION@
}]
